package com.dxhy.portrait.business.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.portrait.business.entity.SmyqsWqsfpVO;
import com.dxhy.portrait.business.entity.TDxInvoice;
import com.dxhy.portrait.business.entity.TDxInvoiceImg;
import com.dxhy.portrait.business.entity.TDxInvoiceReimburse;
import com.dxhy.portrait.business.entity.TDxRecordInvoice;

/**
 * @author dxhy
 */
@Mapper
public interface MixedSignatureDao extends BaseMapper<TDxInvoiceReimburse> {

    /**
     * 待填
     * 
     * @param ewm
     * @return
     */
    TDxInvoiceReimburse getScaninfoByEwm(@Param("ewm") String ewm);

    /**
     * 待填
     * 
     * @param uuid
     * @return
     */
    TDxRecordInvoice getRecordByUuid(@Param("uuid") String uuid);

    /**
     * 待填
     * 
     * @param uuid
     * @return
     */
    TDxInvoice getInvoiceByUuid(@Param("uuid") String uuid);

    /**
     * 待填
     * 
     * @param param
     * @return
     */
    boolean updateReimbursement(@Param("param") Map<String, String> param);

    /**
     * 待填
     * 
     * @param param
     * @return
     */
    boolean updateReimbursementByFj(@Param("param") Map<String, String> param);

    /**
     * 待填
     * 
     * @param id
     * @return
     */
    boolean confirm(@Param("id") String id);

    /**
     * 待填
     * 
     * @param id
     * @return
     */
    boolean deletemixed(@Param("id") String id);

    /**
     * 待填
     * 
     * @param id
     * @return
     */
    boolean deleteInvoice(@Param("id") String id);

    /**
     * 待填
     * 
     * @param scanId
     * @return
     */
    TDxInvoiceImg getImgByScanId(@Param("scanId") String scanId);

    /**
     * 待填
     * 
     * @param pramsMap
     * @return
     */
    List<SmyqsWqsfpVO> selectQsfpList(@Param("param") Map<String, Object> pramsMap);

}
